#property copyright "http://dmffx.com"
#property link      "http://dmffx.com"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- input parameters

   /*
       "" .  ,    
         "" .     
      FixPeriod,          
      MinStep  ,     ,    ,
          .

      :
      
      FixPeriod -     (        )
      MinStep -    
      
       http://dmffx.com
   
   */


extern int FixPeriod =  5;    //     (        )
extern int MinStep   =  15;   //    

//---- buffers
double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,159);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   
   SetIndexLabel(0,"KvantLevel-1");
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){

         int limit=Bars-IndicatorCounted();

            for(int i=limit-1;i>=0;i--){
               ExtMapBuffer1[i]=ExtMapBuffer1[i+1];
               double h=High[i];
               double l=Low[i];
                  for(int j=i+1;j<i+FixPeriod;j++){
                     h=MathMin(h,High[j]);
                     l=MathMax(l,Low[j]);
                  }
                  if(h>=l){
                     double lev=(h+l)/2;
                        if(MathAbs(lev-ExtMapBuffer1[i])>=Point*MinStep){
                           ExtMapBuffer1[i]=lev;
                        }
                  }
            }

   return(0);
}
//+------------------------------------------------------------------+